<?php

namespace EventPortal\AuthPassword\Listeners;

use EventPortal\AuthPassword\Mail\CreatePassword;
use EventPortal\Domain\User\Events\UserCreated;
use Illuminate\Support\Facades\Mail;

class SendCreatePasswordEmail
{
    public function handle(UserCreated $event): void
    {
        Mail::to($event->user->email)
            ->send(new CreatePassword($event->user->password_token));
    }
}
